% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/traj_data.R
\docType{data}
\name{traj_data}
\alias{traj_data}
\title{Example data for trajectory mapping functions}
\format{
A data frame with 53940 rows and 10 variables:
\describe{
\item{date}{The arrival time of the air-mass}
\item{receptor}{The receptor number}
\item{year}{Trajectory year}
\item{month}{Trajectory month}
\item{day}{Trajectory day}
\item{hour}{Trajectory hour}
\item{hour.inc}{Trajectory hour offset from the arrival date}
\item{lat}{Latitude}
\item{lon}{Longitude}
\item{height}{Height of trajectory in m}
\item{pressure}{Pressure of the trajectory in Pa}
\item{date2}{Date of the trajectory}
\item{nox, no2, o3, pm10, pm2.5}{Pollutant concentrations}
}
}
\source{
\code{traj_data} was compiled from data using the
\code{\link[openair:importTraj]{openair::importTraj()}} function from the \code{openair} package with
air quality data from \code{\link[openair:importAURN]{openair::importAURN()}} function.
}
\usage{
traj_data
}
\description{
The \code{traj_data} dataset is provided as an example dataset as part of the
\code{openairmaps} package. The dataset contains HYSPLIT back trajectory data
for air mass parcels arriving in London in 2009. It has been joined with air
quality pollutant concentrations from the \dQuote{London N. Kensington} AURN
urban background monitoring site.
}
\details{
\code{traj_data} is supplied with the \code{openairmaps} package as an
example dataset for use with documented examples.
}
\examples{

# basic structure
head(traj_data)
}
\keyword{datasets}
